Installing EMC2 on Ubuntu 10.04

cnc-club.ru for English speaking users

Installing EMC2 on Ubuntu 10.04

Сообщение Nick » 31 авг 2010, 19:32

Great news every one! Installing EMC2 on Ubuntu become easy as 123.

I'm pleased to announce that we've made it easier to try emc2 on Ubuntu
10.04: just download and run a shell script, which will download all the
packages necessary for emc2. This requires a working network
connection, and depending on the speed of your connection will take
several minutes to complete.
Instructions are here:
http://wiki.linuxcnc.org/cgi-bin/emcinf ... ckageNotes
Jeff


So all you have to do is to run the following script: (You can save this commands to "install_emc.sh" and then run "sh install_emc.sh".)
#!/bin/sh
gksudo -m "Enter your password to install EMC2" true
gpg --keyserver pgpkeys.mit.edu --recv-key 8F374FEF
gpg -a --export 8F374FEF | sudo apt-key add -

sudo sh -c 'cat > /etc/apt/sources.list.d/linuxcnc.list' <<EOF
deb http://www.linuxcnc.org/emc2 lucid base emc2.4
deb-src http://www.linuxcnc.org/emc2 lucid base emc2.4
EOF

sudo apt-get update
sudo apt-get -o Apt::Install-Recommends=true install emc2


What does it do:
First it asks for the password. Then add a public key to apt. Then it adds EMC repository to apt sources list. And finally installs it.

After installation finished you'll have to restart your system and chose realtime core to run EMC2.

I've tested it on two computers one desktop and one netbook both of them work fine.
Вложения
Installing EMC2 on Ubuntu 10.04 cnc-club emc install.png
Аватара пользователя
Nick
Мастер
 
Сообщения: 22398
Зарегистрирован: 23 ноя 2009, 16:45
Откуда: Gatchina, Saint-Petersburg distr., Russia
Репутация: 1475
Заслуга: Developer
Медальки:

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 03 сен 2010, 10:30

root писал(а):Great news every one! Installing EMC2 on Ubuntu become easy as 123.

I'm pleased to announce that we've made it easier to try emc2 on Ubuntu
10.04: just download and run a shell script, which will download all the
packages necessary for emc2. This requires a working network
connection, and depending on the speed of your connection will take
several minutes to complete.
Instructions are here:
http://wiki.linuxcnc.org/cgi-bin/emcinf ... ckageNotes
Jeff



For someone whose climbing up an incredibly steep learning curve, generally on his hands and knees, it's a bit more difficult that "123".
More like " what does 1 mean ? - I can't see 2 for all the fog - if I jump off this cliff, will I find 3 at the bottom ?" ;)

First question - would this method work if I had used the upgrade route to 10.4 ?
In various postings it mentions conflicts, and if I need to do a fresh install, but that's no big deal. :)



.......So all you have to do is to run the following script: (You can save this commands to "install_emc.sh" and then run "sh install_emc.sh".)


Second question, as I only have the vaguest idea what a shell script is, do I create a file "install-emc.sh" then copy /paste -
#!/bin/sh
gksudo -m "Enter your password to install EMC2" true
gpg --keyserver pgpkeys.mit.edu --recv-key 8F374FEF
gpg -a --export 8F374FEF | sudo apt-key add -

sudo sh -c 'cat > /etc/apt/sources.list.d/linuxcnc.list' <<EOF
deb http://www.linuxcnc.org/emc2 lucid base emc2.4
deb-src http://www.linuxcnc.org/emc2 lucid base emc2.4
EOF

sudo apt-get update
sudo apt-get -o Apt::Install-Recommends=true install emc2


- into it, (does the file need to be stored in any special place ?) then run the command "sh install_emc.sh" in a terminal window ?

Many thanks for your patience,
John
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

Re: Installing EMC2 on Ubuntu 10.04

Сообщение Nick » 03 сен 2010, 12:25

Probably it would work if you update to 10.4 from 8.04. But I think it will be to do fresh install.
Two years have passed since 8.04 and a lot of programs have disappeared. So you wont need their config files any more. Another thing is that 8.04 EMC edition could have some specific modifications witch could cause bad consequences.

Shell script is a sequence of commands. (To be truth it's a script on Bourne_shell language, but do not pay attention on it.)
You can run them one by one in the terminal window or save to file and execute it. You can save it wherever you want.
There are two to execute this file :
1. tell the Sh interpretator to execute it "sh ./install-emc.sh"
2. add Execute rights to it (chmod +x install-emc.sh) and then run ./install-emc.sh or double click on it in nautilus.

Easy way run this two commands in terminal:
Код: Выделить всёРазвернуть
wget http://www.linuxcnc.org/lucid/emc2-install.sh
sh emc2-install.sh

(Wget downloads emc2-install.sh into current directory and second command executes it.)

I prefer to use terminal instead of different graphical programs because it's faster and you can do everything you need from terminal.
For example once I've installed the system I install the programs that I usually use by only one command:
"sudo apt-get install gimp inkscape vlc deluge"

PS If you have your "/home" folder on separate disc partition you can use it later and many of your personal settings will be saved.
Аватара пользователя
Nick
Мастер
 
Сообщения: 22398
Зарегистрирован: 23 ноя 2009, 16:45
Откуда: Gatchina, Saint-Petersburg distr., Russia
Репутация: 1475
Заслуга: Developer
Медальки:

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 03 сен 2010, 14:33

Many thanks Nick.
I now agree about the benefits of using the Terminal instead of a gui, even though I've been using windows for about 20 years, and I'm only just starting with a cli.
I've come across the reference to having the /home folder on its own partition, so that's something else to add ;)

Regards
John
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 05 сен 2010, 14:46

Just a brief update.
I think the problem I have is that my 733mHz processor is just not fast enough for ubuntu 10.04.1.
The minimum recommended is 1Ghz, so a new cpu is on order . :)
We have a saying in our family - "...and this is the house that Jack built" - each solution to one problem takes you backwards to another problem.
John
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

Re: Installing EMC2 on Ubuntu 10.04

Сообщение Nick » 05 сен 2010, 18:10

hmmmm... most people noticed that ubuntu 10.04 works faster than 8.xx.
But anyway there are some ways to speed up the system:
1. Turn off graphics effects.
2. For EMC2 Use other GUI than Axis for example TKemc.
3. More radical: use another window manager XFCE or open box.

PS using TkEMC solved my problem with ati video drivers.
Screenshot of TkEMC2:
Installing EMC2 on Ubuntu 10.04 0081 emc2 radeon problem.png
Аватара пользователя
Nick
Мастер
 
Сообщения: 22398
Зарегистрирован: 23 ноя 2009, 16:45
Откуда: Gatchina, Saint-Petersburg distr., Russia
Репутация: 1475
Заслуга: Developer
Медальки:

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 12 сен 2010, 22:38

Bought and installed 1ghz cpu, but I still can't get 10.04 installed properly, so I'm no closer to tasting the delights of the "path to gcode" tool, nor installing the latest EMC version :(
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

Re: Installing EMC2 on Ubuntu 10.04

Сообщение Nick » 12 сен 2010, 22:54

What does not work properly?
I had some problems with my ATI video card during the installation. So I had to do some steps almost blind.
Аватара пользователя
Nick
Мастер
 
Сообщения: 22398
Зарегистрирован: 23 ноя 2009, 16:45
Откуда: Gatchina, Saint-Petersburg distr., Russia
Репутация: 1475
Заслуга: Developer
Медальки:

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 13 сен 2010, 00:02

Because I had been running 8.04 successfully, I assumed that the hardware will work with 10.04 ok.
When I ran the live cd, downloaded and checked with M5dsum, it seemmed to work ok.
I therefore tried to install, but after it asked for my password, it then shows the purple background, but goes no further, with only occaisional activity from the hdd.
I then upgraded the CPU to 1Ghz( which I read is the minimum speed for a successfull installation), but it stops at the same place when it is trying to boot up.

Curiously, some things are loaded - if I right click on the screen I can get the desktop properties window, and change the desktop. If I hit F5 , I can open a file browser, and get into some files.
But as I'm not familliar enough with linux systems, I don't know if that gives me any possibility of moving forward.
John
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

Re: Installing EMC2 on Ubuntu 10.04

Сообщение Nick » 13 сен 2010, 09:46

Hmmm... so you've got ordinal desktop but do not see top and bottom panels?

Probably gnome-panel has not started. Try press Alt+F2 and run gnome-terminal. Then execute gnome-panel and look for the errors in the terminal.

Also dmesg command shows last errors. To read only last 10 lines instead of 100+ you can use tail command dmesg | tail or dmesg | tail -n=10.
Also you can look through the log files for the errors. All log files are situated at /var/log/. Or run gnome-system-log to look the logs using GUI (System - Administrate - Log viewer from the menu).

I am sure that you can run Ubuntu 10.04 even on 300MHz processor. Processor should not be a problem. Have you tried to boot from LiveCD?

By the way when you are using terminal try to use Tab button, it can complete the commands or paths, or give some suggestions (second Tab if first one gave only beep).
And there's amazing help in terminal - man. For example man aptitude or man man.

PS EMC2 Ubuntu 10.04 LiveCD has been released!
Аватара пользователя
Nick
Мастер
 
Сообщения: 22398
Зарегистрирован: 23 ноя 2009, 16:45
Откуда: Gatchina, Saint-Petersburg distr., Russia
Репутация: 1475
Заслуга: Developer
Медальки:

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 14 сен 2010, 00:08

I ran dmesg , and all lines seem to report ok till the following lines at the bottom of the report -

[19.899666] mttr : base(0x44000000 is not aligned on a size(041a000) boundary.
[20.032300] [drm] Using v1.4 init
[23.124018] [drm:drm_reclaim_locked_buffer] *ERROR* reclaim_buffers_locked()
deadlock. Please rework this.
[23.0124027] driver to use reclaim_buffersidlelocked() instead
[23.124030] I will go on reclaiming the buffers anyway
[39.788021] {drm:i810_wait_ring] *ERROR* space:65520 wanted 65528
[39.788299] [drm:i810_wait_ring] *ERROR* lockup
[42.106826] mttr : base(0x44000000 is not aligned on a size(041a000) boundary.
[42.234633] [drm] Using v1.4 init
[45.324015] [drm:drm_reclaim_locked_buffer] *ERROR* reclaim_buffers_locked()
deadlock.Please rework this.
[45.324022] driver to use reclaim_buffersidlelocked() instead
[45.324026] I will go on reclaiming the buffers anyway

Report ends here

I also ran the gui to look at the logs, but as I didn't know what I was looking for, or what might be useful to know, I left it for next time.
Regards, and thanks for your help.
Learning lots of new stuff ! :)
John
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

Re: Installing EMC2 on Ubuntu 10.04

Сообщение Nick » 14 сен 2010, 09:19

Try running gnome-panel from terminal. Probably it's something wrong with it.

PS Can you post the screen shot of what you get (just press PrtScn button near F12)?
You can start firefox from Alt+F2.
Аватара пользователя
Nick
Мастер
 
Сообщения: 22398
Зарегистрирован: 23 ноя 2009, 16:45
Откуда: Gatchina, Saint-Petersburg distr., Russia
Репутация: 1475
Заслуга: Developer
Медальки:

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 14 сен 2010, 11:48

I've tried running gnome-panel in Terminal, but it just reports
"Cannot register the panel-shell : there is already one running"

John
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 14 сен 2010, 16:30

I've just tried installing from the alternative.iso, but it seems to hang in exactly the same place.
running dmesg again in this install, the error lines are the same, but it runs a few lines more, finishing at line

[55.683125]type=1505 audit(1284467576.294:14): operation="profile_load" pid=1052 name"/usr/sbin/tcpdump"

John
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

Re: Installing EMC2 on Ubuntu 10.04

Сообщение Nick » 14 сен 2010, 17:09

Hmmmmm It's seems that you've faced with mighty bug: http://ubuntuforums.org/showthread.php?t=1471349&page=2

Here's a simple but not universal solution: http://www.starryhope.com/linux/ubuntu/ ... in-ubuntu/
There's video tutorial at that page.

What graphics card do you have?
Аватара пользователя
Nick
Мастер
 
Сообщения: 22398
Зарегистрирован: 23 ноя 2009, 16:45
Откуда: Gatchina, Saint-Petersburg distr., Russia
Репутация: 1475
Заслуга: Developer
Медальки:

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 14 сен 2010, 19:29

Graphics is onboard intel chip. No expansion slots, so not possible to change :(

I've followed the links you've kindly posted, and take a little comfort that it isn't just me with this problem !

I'll try the starryhope tutorial next, but just to check, I went out to the workshop and restarted.
For the first time it launched a cli boot up screen, which suprised me and as I didn't know what to do. The only way I could get it to shut down was to hold the power button down for about 15 secs.
Then I tried again, and it booted up ...... and gave me the normal panel !!!!!!
What happens next is anyone's guess from the various posts I've read.

Two things have occurred to me. This last install was done with using the alternative .iso, but I also had a wired connection during it, and it was updating as I did it. I've read that someone suspected a recent update was producing the problem, so I might try again installing from the alt.iso, but without a connection, and see what happens.
Regards
John
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

Re: Installing EMC2 on Ubuntu 10.04

Сообщение Nick » 15 сен 2010, 08:46

If you want to reboot from cli run sudo reboot or sudo shutdown -P now to shutdown.
Or you can start GUI by executing startx.

By the way try grep "gnome-panel" /var/log/ -R and post the result here. This command will search any gnome-panel appearance in the all log files.
Аватара пользователя
Nick
Мастер
 
Сообщения: 22398
Зарегистрирован: 23 ноя 2009, 16:45
Откуда: Gatchina, Saint-Petersburg distr., Russia
Репутация: 1475
Заслуга: Developer
Медальки:

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 15 сен 2010, 10:22

As grep has reported about 9 screens full, what is the best way for me to post it ? What file type ?
John
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

Re: Installing EMC2 on Ubuntu 10.04

Сообщение Nick » 15 сен 2010, 11:23

Just put it into spoiler: there's a button at the reply form. Or attach it as txt file.
Аватара пользователя
Nick
Мастер
 
Сообщения: 22398
Зарегистрирован: 23 ноя 2009, 16:45
Откуда: Gatchina, Saint-Petersburg distr., Russia
Репутация: 1475
Заслуга: Developer
Медальки:

Re: Installing EMC2 on Ubuntu 10.04

Сообщение greybeard » 15 сен 2010, 15:01

Having a problem.
It says "the extension txt isn't allowed" when I tried to add the file as an attachment !!!
and I've never seen "spoiler" before, so I'm not sure if this is correct.

(для просмотра содержимого нажмите на ссылку)
john@fanshop:~$ grep "gnome-panel" /var/log -R
/var/log/apt/history.log:Install: ubuntuone-client (1.2.2-0ubuntu2), popularity-contest (1.48ubuntu1), x11-apps (7.5+1ubuntu2), libmono-addins-gui0.2-cil (0.4-6), python-crypto (2.0.1+dfsg1-4ubuntu2), policykit-1-gnome (0.96-2ubuntu2), mono-2.0-gac (2.4.4~svn151842-1ubuntu4), sane-utils (1.0.20-13ubuntu2), gnome-keyring (2.92.92.is.2.30.3-0ubuntu1.1), f-spot (0.6.1.5-2ubuntu7), libplist1 (1.1-1ubuntu1), branding-ubuntu (0.4-0ubuntu1), aspell-en (6.0-0-5.1ubuntu3), libxcb-aux0 (0.3.6-1build1), libedit2 (2.11-20080614-1build1), libgtk2.0-common (2.20.1-0ubuntu2), python-fstab (1.4-1), libstlport4.6ldbl (4.6.2-7), gstreamer0.10-alsa (0.10.28-1), bluez-alsa (4.60-0ubuntu8), evolution-common (2.28.3-0ubuntu10), libsdl1.2debian (1.2.14-4ubuntu1.1), libgnomekbd4 (2.30.2-0ubuntu0.1), libatk1.0-0 (1.30.0-0ubuntu2.1), xorg-docs-core (1.5-1), python-lazr.restfulclient (0.9.11-1ubuntu1), libpurple0 (2.6.6-1ubuntu4), ttf-freefont (20090104-5), libts-0.0-0 (1.0-7build1), python-twisted-names (10.0.0-1), liblaunchpad-integration1 (0.1.35), apturl-common (0.4.1ubuntu4), syslinux (3.63+dfsg-2ubuntu3), libtalloc2 (2.0.1-1), libical0 (0.44-3), libwpd8c2a (0.8.14-1build1), nano (2.2.2-1), ttf-dejavu-core (2.30-2), libcdio10 (0.81-4), hdparm (9.15-1ubuntu9), tomboy (1.2.1-0ubuntu1), plymouth-theme-ubuntu-text (0.8.2-2ubuntu2), libglib-perl (1.222-1), python-twisted-core (10.0.0-2ubuntu2), evolution-webcal (2.28.0-1), python-pygoocanvas (0.14.1-0ubuntu1), espeak (1.43.03-0ubuntu1), computer-janitor-gtk (1.14.1-0ubuntu2), libmono2.0-cil (2.4.4~svn151842-1ubuntu4), python-desktopcouch-records (0.6.4-0ubuntu3), openoffice.org-gnome (3.2.0-7ubuntu4.1), shared-mime-info (0.71-1ubuntu2), python-gst0.10 (0.10.18-1), byobu (2.68-0ubuntu1.1), libcanberra-gtk-module (0.22-1ubuntu2), libmtp8 (1.0.2-1ubuntu1), xsltproc (1.1.26-1ubuntu1), libenchant1c2a (1.6.0-0ubuntu1), gwibber-service (2.30.1-0ubuntu1), libgnomevfs2-0 (2.24.2-1ubuntu2), libatasmart4 (0.17+git20100219-1git2), gcalctool (5.30.0.is.5.28.2-0ubuntu2), libpolkit-gobject-1-0 (0.96-2), pnm2ppa (1.13-0ubuntu1), libcolamd2.7.1 (3.4.0-1ubuntu3), mlocate (0.22.2-1ubuntu1), lp-solve (5.5.0.13-7), gstreamer0.10-x (0.10.28-1), libcompizconfig0 (0.8.4-0ubuntu2), libpango-perl (1.221-2), libgail18 (2.20.1-0ubuntu2), openoffice.org-core (3.2.0-7ubuntu4.1), libarchive1 (2.8.0-2), telepathy-salut (0.3.11-1), update-manager (0.134.10), openoffice.org-writer (3.2.0-7ubuntu4.1), libglitz-glx1 (0.5.6-1build1), libntfs10 (2.0.0-1ubuntu4), libmono-data-tds2.0-cil (2.4.4~svn151842-1ubuntu4), libpth20 (2.0.7-14), python-gnome2 (2.28.0-1ubuntu1), gnome-nettool (2.30.0-0ubuntu1), libxcb-render-util0 (0.3.6-1build1), python-support (1.0.4ubuntu1), libgphoto2-port0 (2.4.8-0ubuntu2), python-pyinotify (0.8.9-1ubuntu2), libevent-1.4-2 (1.4.13-stable-1), gnome-media (2.30.0-0ubuntu1), libv4l-0 (0.6.4-1ubuntu1), liblcms1 (1.18.dfsg-1ubuntu2), metacity (2.30.1-0ubuntu1), gnome-desktop-data (2.30.2-0ubuntu1), libgtk-vnc-1.0-0 (0.3.10-2ubuntu2), python-pexpect (2.3-1build1), libgnomepanel2.24-cil (2.26.0-2ubuntu1), nautilus (2.30.1-0ubuntu1.1), aisleriot (2.30.0-0ubuntu6), libgnome2-0 (2.30.0-0ubuntu1), cdparanoia (3.10.2+debian-9), bind9-host (9.7.0.dfsg.P1-1), python-notify (0.1.1-2build3), bluez-gstreamer (4.60-0ubuntu8), xfonts-scalable (1.0.1-1), libgail-gnome-module (1.20.1-2), irqbalance (0.55+20091017-3ubuntu2), openoffice.org-impress (3.2.0-7ubuntu4.1), desktopcouch (0.6.4-0ubuntu3), libglade2.0-cil (2.12.9-4), gamin (0.1.10-1ubuntu3), network-manager-pptp-gnome (0.8-0ubuntu3), gvfs-fuse (1.6.1-0ubuntu1build1), libmono-system-data2.0-cil (2.4.4~svn151842-1ubuntu4), ubuntu-docs (10.04.3), libgtop2-common (2.26.1-0ubuntu2), erlang-inets (13.b.3-dfsg-2ubuntu2), libgstreamer0.10-0 (0.10.28-1), libtelepathy-glib0 (0.10.1-1ubuntu2), ttf-punjabi-fonts (0.5.8ubuntu2), python-mako (0.2.5-2ubuntu1), libportaudio2 (19+svn20090620-0ubuntu2), xulrunner-1.9.2 (1.9.2.8+build1+nobinonly-0ubuntu0.10.04.1), aspell (0.60.6-3ubuntu1), usbmuxd (1.0.2-1ubuntu2), libsensors4 (3.1.2-2), libwrap0 (7.6.q-18), libsdl1.2debian-pulseaudio (1.2.14-4ubuntu1.1), pkg-config (0.22-1build2), libapparmor1 (2.5-0ubuntu3), libxcb-event1 (0.3.6-1build1), telnet (0.17-36build1), python-debian (0.1.14ubuntu2), lshw (02.14-1build1), libcupscgi1 (1.4.3-1ubuntu1.2), mobile-broadband-provider-info (20100407-1), libcaca0 (0.99.beta16-3), python-zope.interface (3.5.3-1ubuntu2), libindicator0 (0.3.8-0ubuntu1), libglib2.0-cil (2.12.9-4), libsnmp15 (5.4.2.1~dfsg0ubuntu1-0ubuntu2.1), libiec61883-0 (1.2.0-0.1build1), genisoimage (1.1.10-1ubuntu1), m17n-contrib (1.1.10-1), lsof (4.81.dfsg.1-1build1), libwmf0.2-7 (0.2.8.4-6.1ubuntu2), libdjvulibre21 (3.5.22-1ubuntu4), obex-data-server (0.4.5-1), gnome-settings-daemon (2.30.1-0ubuntu1), indicator-application (0.0.19-0ubuntu4), evolution-indicator (0.2.8-0ubuntu1), wireless-tools (30~pre9-3ubuntu4), librdf0 (1.0.10-1ubuntu1), apport-symptoms (0.9), libicu42 (4.2.1-3), openoffice.org-draw (3.2.0-7ubuntu4.1), network-manager-pptp (0.8-0ubuntu3), python-software-properties (0.75.10), smbclient (3.4.7~dfsg-1ubuntu3.1), libilmbase6 (1.0.1-3build2), ttf-thai-tlwg (0.4.13-4), python-protobuf (2.2.0a-0.1ubuntu1), libgnome-mag2 (0.16.1-0ubuntu1), libbrasero-media0 (2.30.2-0ubuntu1), brasero-common (2.30.2-0ubuntu1), libvorbisfile3 (1.2.3-3ubuntu1), libotf0 (0.9.10-1), ubuntu-standard (1.197), pxljr (1.1-0ubuntu7), plymouth-x11 (0.8.2-2ubuntu2), libgnomeui-common (2.24.3-1), doc-base (0.9.5), python-ubuntuone-storageprotocol (1.2.0-0ubuntu1), gucharmap (2.30.0-0ubuntu1), brltty-x11 (4.1-2ubuntu6), erlang-syntax-tools (13.b.3-dfsg-2ubuntu2), python-gnomecanvas (2.28.0-1ubuntu1), network-manager (0.8-0ubuntu3), iputils-tracepath (20071127-2ubuntu1), zenity (2.30.0-0ubuntu1), bash-completion (1.1-3ubuntu2), avahi-daemon (0.6.25-1ubuntu6), libgail-common (2.20.1-0ubuntu2), libgnome-keyring0 (2.30.1-0ubuntu1), memtest86+ (4.00-2ubuntu3), x11-utils (7.5+3), xscreensaver-gl (5.10-3ubuntu4), gnome-session-canberra (0.22-1ubuntu2), gdebi (0.6.0ubuntu1), liburi-perl (1.52-1), upower (0.9.1-1), libgconf2.0-cil (2.24.1-6ubuntu1), evolution-exchange (2.28.3-0ubuntu1), quadrapassel (2.30.0-0ubuntu6), libdbusmenu-glib1 (0.2.9-0ubuntu3.1), python-twisted-web (10.0.0-1), ubufox (0.9~rc2-0ubuntu2), pulseaudio (0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14), gnome-bluetooth (2.30.0-0ubuntu3), evolution (2.28.3-0ubuntu10), dnsutils (9.7.0.dfsg.P1-1), libxml-namespacesupport-perl (1.09-3), libspectre1 (0.2.3-2), command-not-found (0.2.40ubuntu5), python-aptdaemon-gtk (0.11+bzr345-0ubuntu4), openoffice.org-gtk (3.2.0-7ubuntu4.1), libsilc-1.1-2 (1.1.10-2build1), update-manager-core (0.134.10), libgnome-media0 (2.30.0-0ubuntu1), libart-2.0-2 (2.3.20-2build1), app-install-data (0.10.04.7), python-wadllib (1.1.4-1ubuntu1), gnome-codec-install (0.4.2ubuntu2), libbeagle1 (0.3.9-1build1), gnome-power-manager (2.30.0-0ubuntu1), libavahi-common-data (0.6.25-1ubuntu6), libsane (1.0.20-13ubuntu2), udisks (1.0.1-1ubuntu1), install-info (4.13a.dfsg.1-5ubuntu1), python-aptdaemon (0.11+bzr345-0ubuntu4), libexchange-storage1.2-3 (2.28.3.1-0ubuntu5), gnome-mahjongg (2.30.0-0ubuntu6), unzip (6.0-1build1), ttf-khmeros-core (5.0-3ubuntu1), libgraphite3 (2.3.1-0.2), python-pycurl (7.19.0-3), libhyphen0 (2.4-6ubuntu1), totem-plugins (2.30.2-0ubuntu1), libdbus-glib-1-2 (0.84-1), libapparmor-perl (2.5-0ubuntu3), x11-xfs-utils (7.4+1build2), cli-common (0.7), libwpg-0.1-1 (0.1.3-1build1), gnome-screensaver (2.30.0-0ubuntu2), gnome-mag (0.16.1-0ubuntu1), rhythmbox (0.12.8-0ubuntu7), libibus1 (1.2.0.20091215-1ubuntu4), libxxf86vm1 (1.1.0-2), libgstfarsight0.10-0 (0.0.17-2ubuntu2), libproxy0 (0.3.1-1ubuntu1), libpst4 (0.6.41-0ubuntu4), xterm (256-1ubuntu1), libjack0 (0.118+svn3796-1ubuntu2), gnome-themes-selected (2.30.0-0ubuntu1), alacarte (0.13.1-0ubuntu1), ibus-gtk (1.2.0.20091215-1ubuntu4), system-config-printer-gnome (1.2.0+20100408-0ubuntu5.2), manpages-dev (3.23-1), python-libxml2 (2.7.6.dfsg-1ubuntu1), gedit (2.30.3-0ubuntu0.1), libnm-util1 (0.8-0ubuntu3), libdecoration0 (0.8.4-0ubuntu15), plymouth-label (0.8.2-2ubuntu2), gnome-menus (2.30.0-0ubuntu4), liblircclient0 (0.8.6-0ubuntu4.1), xdg-user-dirs-gtk (0.8-1ubuntu1), python-gtksourceview2 (2.10.1-0ubuntu1), gtk2-engines-pixbuf (2.20.1-0ubuntu2), bluez-cups (4.60-0ubuntu8), python-newt (0.52.10-5ubuntu1), libtdb1 (1.2.0-1), libsctp1 (1.0.11+dfsg-1), libevview2 (2.30.3-0ubuntu1.1), hunspell-en-us (20070829-4ubuntu1), x11-xserver-utils (7.5+1ubuntu2), hpijs (3.10.2-2ubuntu2), dvd+rw-tools (7.1-6), protobuf-compiler (2.2.0a-0.1ubuntu1), libfont-afm-perl (1.20-1), libmailtools-perl (2.05-1), erlang-mnesia (13.b.3-dfsg-2ubuntu2), docbook-xml (4.5-7), libindicate-gtk2 (0.3.6-0ubuntu1), libpam-gnome-keyring (2.92.92.is.2.30.3-0ubuntu1.1), ttf-takao-pgothic (003.02.01-2ubuntu1), libglu1-mesa (7.7.1-1ubuntu3), cups-client (1.4.3-1ubuntu1.2), apt-transport-https (0.7.25.3ubuntu9.1), inputattach (20051019-9), brltty (4.1-2ubuntu6), libieee1284-3 (0.2.11-5ubuntu3), rarian-compat (0.8.1-4ubuntu1), libcupsmime1 (1.4.3-1ubuntu1.2), libwebkit-1.0-2 (1.2.0-1), libc-dev-bin (2.11.1-0ubuntu7.2), libgoocanvas-common (0.15-0ubuntu2), ubuntu-artwork (53.5), libpcap0.8 (1.0.0-6), libx86-1 (1.1+ds1-6), screen (4.0.3-14ubuntu1), libhtml-parser-perl (3.64-1), gnome-control-center (2.30.1-0ubuntu1), libart2.0-cil (2.24.1-6ubuntu1), libmono-system-runtime2.0-cil (2.4.4~svn151842-1ubuntu4), libbonoboui2-common (2.24.3-0ubuntu1), libspeex1 (1.2~rc1-1ubuntu1), libpisock9 (0.12.4-7ubuntu1), bc (1.06.95-2), libdns64 (9.7.0.dfsg.P1-1), hplip (3.10.2-2ubuntu2), libjs-jquery (1.3.3-2ubuntu1), libcamel1.2-14 (2.28.3.1-0ubuntu5), bcmwl-modaliases (5.60.48.36+bdcom-0ubuntu3), libbonoboui2-0 (2.24.3-0ubuntu1), dc (1.06.95-2), gconf2 (2.28.1-0ubuntu1), at (3.1.11-1ubuntu5), strace (4.5.19-2), dosfstools (3.0.7-1), ed (1.4-1build1), xauth (1.0.4-1), compizconfig-backend-gconf (0.8.4-0ubuntu2), libwnck-common (2.30.0-0ubuntu1), libupower-glib1 (0.9.1-1), command-not-found-data (0.2.40ubuntu5), libxslt1.1 (1.1.26-1ubuntu1), update-notifier-common (0.99.3), libfile-copy-recursive-perl (0.38-1), gbrainy (1.41-1ubuntu1), libcouchdb-glib-1.0-2 (0.6.3-0ubuntu1), ubuntu-desktop (1.197), metacity-common (2.30.1-0ubuntu1), seahorse (2.30.0-0ubuntu2), libgnome2-perl (1.042-2build1), libterm-readkey-perl (2.30-4build1), ubuntu-system-service (0.1.20.1), libgomp1 (4.4.3-4ubuntu5), system-config-printer-udev (1.2.0+20100408-0ubuntu5.2), empathy (2.30.2-0ubuntu1), python-virtkey (0.50ubuntu3), libmagickcore2-extra (6.5.7.8-1ubuntu1), libxml-twig-perl (3.32-3ubuntu1), apt-xapian-index (0.25ubuntu2), libnspr4-0d (4.8.4-0ubuntu1), libeggdbus-1-0 (0.6-1), libsqlite0 (2.8.17-6build2), libgtkhtml-editor0 (3.29.6.is.3.28.3-0ubuntu2), libslp1 (1.2.1-7.6), ubuntu-sounds (0.12), groff-base (1.20.1-7), ubuntu-wallpapers (0.31.3), whois (5.0.0ubuntu3), esound-common (0.2.41-6ubuntu1), libusb-1.0-0 (1.0.6-1), libtotem-plparser17 (2.30.0git201000413-0ubuntu1), python-pyorbit (2.24.0-5ubuntu3), gdebi-core (0.6.0ubuntu1), libnotify1 (0.4.5-1ubuntu4), totem-common (2.30.2-0ubuntu1), libcairo2 (1.8.10-2ubuntu1), libfontconfig1 (2.8.0-2ubuntu1), python-telepathy (0.15.17-1), ghostscript-x (8.71.dfsg.1-0ubuntu5.2), light-themes (0.1.6.6), checkbox (0.9.1), indicator-applet (0.3.7-0ubuntu1), python-gconf (2.28.0-1ubuntu1), python-simplejson (2.0.9-1build1), libxml-sax-expat-perl (0.40-1), fontconfig-config (2.8.0-2ubuntu1), gvfs-bin (1.6.1-0ubuntu1build1), vinagre (2.30.2-0ubuntu1), libpulse-mainloop-glib0 (0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14), libedata-cal1.2-6 (2.28.3.1-0ubuntu5), libgvfscommon0 (1.6.1-0ubuntu1build1), libraw1394-11 (2.0.4-1ubuntu2), policykit-1 (0.96-2), computer-janitor (1.14.1-0ubuntu2), update-notifier (0.99.3), libdevkit-power-gobject1 (0.9.1-1), libgnome2.24-cil (2.24.1-6ubuntu1), apport (1.13.3-0ubuntu2), libvorbisenc2 (1.2.3-3ubuntu1), psmisc (22.10-1), libndesk-dbus1.0-cil (0.6.0-4), pm-utils-powersave-policy (0.3.1), linux-libc-dev (2.6.32-24.39), xml-core (0.13), libbsd0 (0.2.0-1), gnome-media-common (2.30.0-0ubuntu1), librpc-xml-perl (0.72-1), nautilus-data (2.30.1-0ubuntu1.1), librasqal2 (0.9.17-1), libgpod4 (0.7.93-0ubuntu1), mtools (4.0.10-1ubuntu1), bluez (4.60-0ubuntu8), libxmuu1 (1.0.5-1), libpango1.0-common (1.28.0-0ubuntu2), libgnome-menu2 (2.30.0-0ubuntu4), ubuntuone-client-gnome (1.2.2-0ubuntu2), ttf-lao (0.0.20060226-6), gstreamer0.10-plugins-good (0.10.21-1ubuntu3), libparted0debian1 (2.2-5ubuntu5.1), cups-driver-gutenprint (5.2.5-0ubuntu1), libxcb-render0 (1.5-2), libsoup2.4-1 (2.30.2-0ubuntu0.1), dcraw (8.86-1build1), libgadu3 (1.9.0~rc2-1), gnome-terminal (2.29.6-0ubuntu5), libgphoto2-2 (2.4.8-0ubuntu2), xdg-user-dirs (0.12-0ubuntu2), foomatic-db-engine (4.0.4-0ubuntu1), humanity-icon-theme (0.5.2.1), openoffice.org-style-human (3.2.0-7ubuntu4.1), parted (2.2-5ubuntu5.1), libwavpack1 (4.60.1-1), libpaper-utils (1.1.23+nmu1build1), libxml-parser-perl (2.36-1.1build3), libmono-cairo2.0-cil (2.4.4~svn151842-1ubuntu4), hicolor-icon-theme (0.11-1), gnome-user-share (2.30.0-0ubuntu2), libsmbclient (3.4.7~dfsg-1ubuntu3.1), libisccc60 (9.7.0.dfsg.P1-1), nautilus-sendto-empathy (2.30.2-0ubuntu1), pptp-linux (1.7.2-4), gcc-4.4 (4.4.3-4ubuntu5), avahi-utils (0.6.25-1ubuntu6), libtelepathy-farsight0 (0.0.13-1), m17n-db (1.5.5-1), toshset (1.75-2), network-manager-gnome (0.8-0ubuntu3), friendly-recovery (0.2.10), cpu-checker (0.1-0ubuntu2), system-tools-backends (2.9.4-0ubuntu1), libgweather1 (2.30.0-0ubuntu1), python-gtkspell (2.25.3-4.1ubuntu4), geoip-database (1.4.6.dfsg-17), libfuse2 (2.8.1-1.1ubuntu2), libpcsclite1 (1.5.3-1ubuntu4.1), pppconfig (2.3.18ubuntu2), libgnome-bluetooth7 (2.30.0-0ubuntu3), liblzma1 (4.999.9beta+20091116-1), tcpd (7.6.q-18), libxxf86misc1 (1.0.2-1), tcpdump (4.0.0-6ubuntu3), libgamin0 (0.1.10-1ubuntu3), mtr-tiny (0.75-2build1), gconf-defaults-service (2.28.1-0ubuntu1), guile-1.8-libs (1.8.7+1-3ubuntu1), libpanel-applet2-0 (2.30.2-0ubuntu0.2), libloudmouth1-0 (1.4.3-5), libnss-mdns (0.10-3ubuntu4), dnsmasq-base (2.52-1), libck-connector0 (0.4.1-3ubuntu1), couchdb-bin (0.10.0-1ubuntu2), libpolkit-gtk-1-0 (0.96-2ubuntu2), openssh-client (5.3p1-3ubuntu4), libdatrie1 (0.2.2-3), jockey-common (0.5.8-0ubuntu8.1), fontconfig (2.8.0-2ubuntu1), libwnck22 (2.30.0-0ubuntu1), python-serial (2.3-1), xfonts-75dpi (1.0.1), libgnomekbd-common (2.30.2-0ubuntu0.1), gedit-common (2.30.3-0ubuntu0.1), gnome-utils (2.30.0-0ubuntu1), libxcb-atom1 (0.3.6-1build1), vbetool (1.1-2), libcairomm-1.0-1 (1.8.4-0ubuntu1), libido-0.1-0 (0.1.6-0ubuntu1), libgmime2.4-cil (2.4.14-1+nmu1), ttf-liberation (1.05.2.20091019-4), software-center (2.0.7), python-couchdb (0.6-1), python-pam (0.4.2-12.1ubuntu1), uuid-runtime (2.17.2-0ubuntu1), libflickrnet2.2-cil (2.2.0-3), compiz-plugins (0.8.4-0ubuntu15), python-openssl (0.10-1), libgconf2-4 (2.28.1-0ubuntu1), liblaunchpad-integration1.0-cil (0.1.35), libffi5 (3.0.9-1), notify-osd (0.9.29-0ubuntu2), libgnome-pilot2 (2.0.17-0ubuntu5), xinput (1.5.0-2ubuntu1), libdirectfb-1.2-0 (1.2.8-5ubuntu2), libelf1 (0.143-1), libmono-i18n-west2.0-cil (2.4.4~svn151842-1ubuntu4), libcryptui0 (2.30.0-0ubuntu2), rhythmbox-ubuntuone-music-store (0.0.9-0ubuntu1), libgssdp-1.0-2 (0.7.1-1), libbrlapi0.5 (4.1-2ubuntu6), libxres1 (1.0.4-1), libgdu-gtk0 (2.30.1-1), acpid (1.0.10-5ubuntu2.1), gnome-games-common (2.30.0-0ubuntu6), simple-scan (1.0.3-0ubuntu1), libcupsppdc1 (1.4.3-1ubuntu1.2), python-lazr.uri (1.0.2-1), dbus (1.2.16-2ubuntu4), finger (0.17-13build1), libatspi1.0-0 (1.30.1-0ubuntu1), libglibmm-2.4-1c2a (2.24.2-0ubuntu1), libmono-addins0.2-cil (0.4-6), indicator-messages (0.3.6-0ubuntu2), libmusicbrainz4c2a (2.1.5-4), gnome-orca (2.30.2-0ubuntu1), libnet-dbus-perl (0.33.6-1build3), checkbox-gtk (0.9.1), time (1.7-23build1), python-pyatspi (1.30.1-0ubuntu1), firefox (3.6.8+build1+nobinonly-0ubuntu0.10.04.1), xbitmaps (1.1.0-1), samba-common-bin (3.4.7~dfsg-1ubuntu3.1), libgp11-0 (2.92.92.is.2.30.3-0ubuntu1.1), python-webkit (1.1.7-1), libgnome2-common (2.30.0-0ubuntu1), cups-common (1.4.3-1ubuntu1.2), powermgmt-base (1.31), uno-libs3 (1.6.0+OOo3.2.0-7ubuntu4.1), python-avahi (0.6.25-1ubuntu6), libmono-posix2.0-cil (2.4.4~svn151842-1ubuntu4), rtkit (0.6-0ubuntu1), gnome-about (2.30.2-0ubuntu1), libstartup-notification0 (0.10-1build1), libgcr0 (2.92.92.is.2.30.3-0ubuntu1.1), rhythmbox-plugin-cdrecorder (0.12.8-0ubuntu7), telepathy-haze (0.3.4-1), libexempi3 (2.1.1-1build2), libcdio-cdda0 (0.81-4), libxxf86dga1 (1.1.1-2), libhpmud0 (3.10.2-2ubuntu2), libhunspell-1.2-0 (1.2.8-6ubuntu1), gtk2-engines (2.20.0-0ubuntu1), liblwres60 (9.7.0.dfsg.P1-1), libpango1.0-0 (1.28.0-0ubuntu2), python-imaging (1.1.7-1), libgtksourceview2.0-common (2.10.4-0ubuntu1), libkpathsea5 (2009-5ubuntu0.1), openoffice.org-math (3.2.0-7ubuntu4.1), libijs-0.35 (0.35-7build1), erlang-xmerl (13.b.3-dfsg-2ubuntu2), libcups2 (1.4.3-1ubuntu1.2), libmono-security2.0-cil (2.4.4~svn151842-1ubuntu4), python-speechd (0.6.8~unofficial~rc2-0ubuntu3), gcc (4.4.3-1ubuntu1), libgdu0 (2.30.1-1), gdb (7.1-1ubuntu2), libhal1 (0.5.14-0ubuntu6), libtag1-vanilla (1.6.3-0ubuntu1), libcurl3 (7.19.7-1ubuntu1), eog (2.30.0-0ubuntu1), gdm (2.30.2.is.2.30.0-0ubuntu3), screensaver-default-images (0.2-1), libavc1394-0 (0.5.3-1build4), libgtksourceview2.0-0 (2.10.4-0ubuntu1), hal (0.5.14-0ubuntu6), capplets-data (2.30.1-0ubuntu1), libpangomm-1.4-1 (2.26.2-0ubuntu1), busybox-static (1.13.3-1ubuntu11), libgnome2-vfs-perl (1.081-1build1), libavahi-gobject0 (0.6.25-1ubuntu6), libprotobuf5 (2.2.0a-0.1ubuntu1), python-farsight (0.0.17-2ubuntu2), libubuntuone-1.0-1 (0.3.1-0ubuntu1), gnome-disk-utility (2.30.1-1), libesd0 (0.2.41-6ubuntu1), libgnomecanvas2-0 (2.30.1-0ubuntu1), liblouis0 (1.7.0-2), openoffice.org-common (3.2.0-7ubuntu4.1), python-glade2 (2.17.0-0ubuntu2), python-uno (3.2.0-7ubuntu4.1), libgif4 (4.1.6-9), libegroupwise1.2-13 (2.28.3.1-0ubuntu5), python-brlapi (4.1-2ubuntu6), obexd-client (0.22-0ubuntu2), libgtk2.0-bin (2.20.1-0ubuntu2), ftp (0.17-19build1), python-xdg (0.18-1ubuntu2), libxft2 (2.1.14-1ubuntu1), libdbusmenu-gtk1 (0.2.9-0ubuntu3.1), espeak-data (1.43.03-0ubuntu1), launchpad-integration (0.1.35), libgtk2.0-cil (2.12.9-4), pulseaudio-module-bluetooth (0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14), libxml-libxml-perl (1.70.ds-1), telepathy-idle (0.1.6-1), dictionaries-common (1.4.0ubuntu2), mono-gac (2.4.4~svn151842-1ubuntu4), libgutenprint2 (5.2.5-0ubuntu1), usb-creator-gtk (0.2.22), python-vte (0.23.5-0ubuntu1.1), libnm-glib2 (0.8-0ubuntu3), unattended-upgrades (0.55ubuntu4), usb-creator-common (0.2.22), language-selector (0.5.8), libvte9 (0.23.5-0ubuntu1.1), libgsf-1-common (1.14.16-1ubuntu1), splix (2.0.0-2ubuntu3), libgnomeui-0 (2.24.3-1), gnome-doc-utils (0.20.0-0ubuntu2), libclutter-1.0-0 (1.2.4-0ubuntu1), alsa-utils (1.0.22-0ubuntu5), ttf-opensymbol (3.2.0-7ubuntu4.1), libgtk2-perl (1.221-4ubuntu2), libxcomposite1 (0.4.1-1), libcroco3 (0.6.2-1), gnome-session-bin (2.30.0-0ubuntu1), libgweather-common (2.30.0-0ubuntu1), indicator-me (0.2.6-0ubuntu1), python-xapian (1.0.17-1ubuntu1), libecal1.2-7 (2.28.3.1-0ubuntu5), python-smbc (1.0.6-0ubuntu3), libopenexr6 (1.6.1-4.1), app-install-data-partner (12.10.04.3), at-spi (1.30.1-0ubuntu1), libxml-sax-perl (0.96+dfsg-2), gstreamer0.10-pulseaudio (0.10.21-1ubuntu3), libtheora0 (1.1.1+dfsg.1-3), libpoppler5 (0.12.4-0ubuntu5), librarian0 (0.8.1-4ubuntu1), update-inetd (4.35), libgmime-2.4-2 (2.4.14-1+nmu1), libaa1 (1.4p5-38build1), avahi-autoipd (0.6.25-1ubuntu6), tsclient (0.150-3ubuntu1), rdesktop (1.6.0-2ubuntu3), pulseaudio-module-x11 (0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14), w3m (0.5.2-2.1ubuntu1.1), bogofilter-bdb (1.2.1-0ubuntu1), lm-sensors (3.1.2-2), libunique-1.0-0 (1.1.6-1ubuntu2), wodim (1.1.10-1ubuntu1), libthai0 (0.1.13-1build1), python-louis (1.7.0-2), libgdata1.2-1 (2.28.3.1-0ubuntu5), libedataserver1.2-11 (2.28.3.1-0ubuntu5), ssl-cert (1.0.23ubuntu2), libhal-storage1 (0.5.14-0ubuntu6), rsync (3.0.7-1ubuntu1), vino (2.28.2-0ubuntu2), python-dbus (0.83.0-1ubuntu3), mousetweaks (2.30.0-0ubuntu1), aptdaemon (0.11+bzr345-0ubuntu4), libpython2.6 (2.6.5-1ubuntu6), gnome-system-monitor (2.28.0-1ubuntu2), system-config-printer-common (1.2.0+20100408-0ubuntu5.2), manpages (3.23-1), libidl0 (0.8.13-1), anacron (2.3-13.1ubuntu11), libxml2 (2.7.6.dfsg-1ubuntu1), libmldbm-perl (2.01-3), libimobiledevice0 (0.9.7-1ubuntu1), libgtkmm-2.4-1c2a (2.20.3-0ubuntu1), libcanberra-gtk0 (0.22-1ubuntu2), libbind9-60 (9.7.0.dfsg.P1-1), python-gnupginterface (0.3.2-9.1), libglitz1 (0.5.6-1build1), libuuid-perl (0.02-3build2), firefox-gnome-support (3.6.8+build1+nobinonly-0ubuntu0.10.04.1), libmono-sqlite2.0-cil (2.4.4~svn151842-1ubuntu4), cups (1.4.3-1ubuntu1.2), wget (1.12-1.1ubuntu2), libgudev-1.0-0 (151-12), libbonobo2-0 (2.24.3-0ubuntu1), libsamplerate0 (0.1.7-3), libglade2-0 (2.6.4-1build1), python-problem-report (1.13.3-0ubuntu2), evince (2.30.3-0ubuntu1.1), openoffice.org-base-core (3.2.0-7ubuntu4.1), libbluetooth3 (4.60-0ubuntu8), bogofilter (1.2.1-0ubuntu1), gawk (3.1.6.dfsg-4build1), libevdocument2 (2.30.3-0ubuntu1.1), libcdparanoia0 (3.10.2+debian-9), plymouth-theme-ubuntu-logo (0.8.2-2ubuntu2), libgdata-google1.2-1 (2.28.3.1-0ubuntu5), media-player-info (6-1), pm-utils (1.3.0-1ubuntu2), telepathy-mission-control-5 (5.3.2-3), libspeechd2 (0.6.8~unofficial~rc2-0ubuntu3), notify-osd-icons (0.6), libcupsdriver1 (1.4.3-1ubuntu1.2), libglib2.0-data (2.24.1-0ubuntu1), pulseaudio-utils (0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14), gnome-user-guide (2.30.0+git20100403ubuntu2), libasound2 (1.0.22-0ubuntu7), fglrx-modaliases (8.723.1-0ubuntu4), libjson-glib-1.0-0 (0.7.6-0ubuntu2), libatk1.0-data (1.30.0-0ubuntu2.1), libmono-system-web2.0-cil (2.4.4~svn151842-1ubuntu4), bsdmainutils (8.0.1ubuntu1), libflac8 (1.2.1-2build2), libnunit2.4-cil (2.4.7+dfsg-5), apturl (0.4.1ubuntu4), im-switch (1.19), python-launchpadlib (1.6.0-0ubuntu1), ibus-m17n (1.2.0.20091217-1), python-gnomeapplet (2.30.0-0ubuntu1), ppp (2.4.5~git20081126t100229-0ubuntu3), gnome-sudoku (2.30.0-0ubuntu6), libclutter-gtk-0.10-0 (0.10.4-0ubuntu1), xdg-utils (1.0.2-6.1ubuntu3), libxrender1 (0.9.5-1), xinit (1.2.0-1), iputils-arping (20071127-2ubuntu1), ubuntu-mono (0.0.18), python-appindicator (0.0.19-0ubuntu4), libebook1.2-9 (2.28.3.1-0ubuntu5), evolution-plugins (2.28.3-0ubuntu10), libmagickcore2 (6.5.7.8-1ubuntu1), libespeak1 (1.43.03-0ubuntu1), libaudiofile0 (0.2.6-8ubuntu1), x11-session-utils (7.5+1), libgnomecanvas2-common (2.30.1-0ubuntu1), libshout3 (2.2.2-5ubuntu1), telepathy-gabble (0.8.12-0ubuntu1), lksctp-tools (1.0.11+dfsg-1), sgml-base (1.26), libdv4 (1.0.0-2ubuntu2), fancontrol (3.1.2-2), libwbclient0 (3.4.7~dfsg-1ubuntu3.1), libwps-0.1-1 (0.1.2-1build1), libmono-sharpzip2.84-cil (2.4.4~svn151842-1ubuntu4), indicator-applet-session (0.3.7-0ubuntu1), nvidia-current-modaliases (195.36.24-0ubuntu1~10.04), python-oauth (1.0a~svn1124-0ubuntu2), nautilus-share (0.7.2-12build1), libedataserverui1.2-8 (2.28.3.1-0ubuntu5), nvidia-173-modaliases (173.14.22-0ubuntu11), libmono-corlib2.0-cil (2.4.4~svn151842-1ubuntu4), openprinting-ppds (20100216-0ubuntu3), pcmciautils (014-4ubuntu4), libgnome-window-settings1 (2.30.1-0ubuntu1), libfs6 (1.0.2-1build1), libgpod-common (0.7.93-0ubuntu1), python-launchpad-integration (0.1.35), libedata-book1.2-2 (2.28.3.1-0ubuntu5), libsoup-gnome2.4-1 (2.30.2-0ubuntu0.1), ttf-kacst-one (3.0-1ubuntu2), evolution-data-server (2.28.3.1-0ubuntu5), gettext-base (0.17-8ubuntu3), ufw (0.30pre1-0ubuntu2), python-gnomekeyring (2.30.0-0ubuntu1), rhythmbox-plugins (0.12.8-0ubuntu7), xfonts-100dpi (1.0.1), libgdata6 (0.5.2-0ubuntu1), xcursor-themes (1.0.2-1), libiw30 (30~pre9-3ubuntu4), libxss1 (1.2.0-2), libgd2-xpm (2.0.36~rc1~dfsg-3.1ubuntu1), libgnomevfs2-extra (2.24.2-1ubuntu2), acpi-support (0.136.1), libgs8 (8.71.dfsg.1-0ubuntu5.2), gconf2-common (2.28.1-0ubuntu1), openoffice.org-emailmerge (3.2.0-7ubuntu4.1), libappindicator0 (0.0.19-0ubuntu4), liblpint-bonobo0 (0.1.35), tcl8.4 (8.4.19-4), cups-bsd (1.4.3-1ubuntu1.2), python-ubuntuone (0.3.1-0ubuntu1), libtiff4 (3.9.2-2ubuntu0.3), foo2zjs (20100210-0ubuntu4), ure (1.6.0+OOo3.2.0-7ubuntu4.1), gstreamer0.10-nice (0.0.10-2build1), psfontmgr (0.11.10-4ubuntu1), software-properties-gtk (0.75.10), libjasper1 (1.900.1-7), libgtop2-7 (2.26.1-0ubuntu2), ntfsprogs (2.0.0-1ubuntu4), libtie-ixhash-perl (1.21-2), libjpeg62 (6b-15ubuntu1), erlang-crypto (13.b.3-dfsg-2ubuntu2), libgtkhtml-editor-common (3.29.6.is.3.28.3-0ubuntu2), libcap-ng0 (0.6.2-4), libusbmuxd1 (1.0.2-1ubuntu2), yelp (2.30.0-0ubuntu2), libm17n-0 (1.5.5-1), libgeoip1 (1.4.6.dfsg-17), libperl5.10 (5.10.1-8ubuntu2), mono-runtime (2.4.4~svn151842-1ubuntu4), python-egenix-mxdatetime (3.1.3-2ubuntu1), libxml-xpath-perl (1.13-7), libcdio-paranoia0 (0.81-4), wpasupplicant (0.6.9-3ubuntu3), synaptic (0.63.1ubuntu7), libcanberra0 (0.22-1ubuntu2), libmagickwand2 (6.5.7.8-1ubuntu1), gksu (2.0.2-2ubuntu2), libdaemon0 (0.14-2), libpam-ck-connector (0.4.1-3ubuntu1), libthai-data (0.1.13-1build1), libisccfg60 (9.7.0.dfsg.P1-1), libxtst6 (1.1.0-2), gnome-icon-theme (2.28.0-1ubuntu1), libasound2-plugins (1.0.22-0ubuntu6), libfreezethaw-perl (0.45-1), smartdimmer (0.8b4-1ubuntu3), libdesktopcouch-glib-1.0-2 (0.6.3-0ubuntu1), libhtml-format-perl (2.04-2), zip (3.0-2), libgupnp-1.0-3 (0.13.2-1ubuntu1), python-gdbm (2.6.5-0ubuntu2), python-cups (1.9.49-0ubuntu1), gnome-mime-data (2.18.0-1), libavahi-client3 (0.6.25-1ubuntu6), alsa-base (1.0.22.1+dfsg-0ubuntu3), ibus (1.2.0.20091215-1ubuntu4), libc6-dev (2.11.1-0ubuntu7.2), screen-resolution-extra (0.13), libpurple-bin (2.6.6-1ubuntu4), libnl1 (1.1-5build1), apparmor (2.5-0ubuntu3), dmz-cursor-theme (0.4.1), ttf-indic-fonts-core (0.5.8ubuntu2), liborbit2 (2.14.18-0.1), libcupsimage2 (1.4.3-1ubuntu1.2), tk8.4 (8.4.19-4), policykit-desktop-privileges (0.1), python-configglue (0.2dev-0ubuntu2), libanthy0 (9100h-0ubuntu2), libwmf0.2-7-gtk (0.2.8.4-6.1ubuntu2), tsconf (1.0-7build1), nvidia-common (0.2.23), libtag1c2a (1.6.3-0ubuntu1), ghostscript (8.71.dfsg.1-0ubuntu5.2), pulseaudio-module-gconf (0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14), librsvg2-2 (2.26.3-0ubuntu1), pppoeconf (1.19ubuntu1), libpolkit-backend-1-0 (0.96-2), ibus-table (1.2.0.20100111-1), libxklavier16 (5.0-0ubuntu1), python-egenix-mxtools (3.1.3-2ubuntu1), foomatic-filters (4.0.4-0ubuntu1), libbonobo2-common (2.24.3-0ubuntu1), gnome-terminal-data (2.29.6-0ubuntu5), libgl1-mesa-glx (7.7.1-1ubuntu3), ttf-wqy-microhei (0.2.0-beta-1), onboard (0.93.0-0ubuntu4), gnome-themes-ubuntu (0.6.1), liboobs-1-4 (2.30.0-0ubuntu1), libmeanwhile1 (1.0.2-3build2), libgucharmap7 (2.30.0-0ubuntu1), gnome-applets (2.30.0-0ubuntu2), libgksu2-0 (2.0.13~pre1-1ubuntu4), poppler-utils (0.12.4-0ubuntu5), sgml-data (2.0.4), gstreamer0.10-plugins-base-apps (0.10.28-1), jockey-gtk (0.5.8-0ubuntu8.1), pitivi (0.13.4-0ubuntu3), indicator-sound (0.2.3-0ubuntu1), libsnmp-base (5.4.2.1~dfsg0ubuntu1-0ubuntu2.1), libsysfs2 (2.1.0-6), libcanberra-pulse (0.22-1ubuntu2), python-pkg-resources (0.6.10-4ubuntu1), xorg (7.5+5ubuntu1), foomatic-db (20100216-0ubuntu3), libsilcclient-1.1-3 (1.1.10-2build1), libgpgme11 (1.2.0-1.2ubuntu1), python-gmenu (2.30.0-0ubuntu4), libindicate4 (0.3.6-0ubuntu1), libndesk-dbus-glib1.0-cil (0.4.1-3), libsgutils2-2 (1.28-2), man-db (2.5.7-2), libgdict-1.0-6 (2.30.0-0ubuntu1), gtk2-engines-murrine (0.90.3+git20100323-0ubuntu3), libraptor1 (1.4.21-1ubuntu1), indicator-session (0.2.8-0ubuntu2), imagemagick (6.5.7.8-1ubuntu1), gconf-editor (2.30.0-0ubuntu1), radeontool (1.6.1-0ubuntu1), libzephyr4 (3.0-1), samba-common (3.4.7~dfsg-1ubuntu3.1), erlang-ssl (13.b.3-dfsg-2ubuntu2), gnome-system-tools (2.30.0-0ubuntu2), python-wnck (2.30.0-0ubuntu1), libpulse0 (0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14), libhtml-tree-perl (3.23-1), brasero (2.30.2-0ubuntu1), linux-sound-base (1.0.22.1+dfsg-0ubuntu3), liboil0.3 (0.3.16-1ubuntu2), libgc1c2 (6.8-1.2ubuntu1), libavahi-glib1 (0.6.25-1ubuntu6), telepathy-butterfly (0.5.11-0ubuntu1), adium-theme-ubuntu (0.1-0ubuntu1), libebackend1.2-0 (2.28.3.1-0ubuntu5), libgnome-keyring1.0-cil (1.0.0-3), firefox-branding (3.6.8+build1+nobinonly-0ubuntu0.10.04.1), hal-info (20091130-1), libgtkspell0 (2.0.16-1), compiz (0.8.4-0ubuntu15), libxdamage1 (1.1.2-1), speech-dispatcher (0.6.8~unofficial~rc2-0ubuntu3), libxml2-utils (2.7.6.dfsg-1ubuntu1), gvfs (1.6.1-0ubuntu1build1), python-ubuntuone-client (1.2.2-0ubuntu2), apparmor-utils (2.5-0ubuntu3), ltrace (0.5.3-2ubuntu3), libpulse-browse0 (0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14), gnome-panel (2.30.2-0ubuntu0.2), libcairo-perl (1.061-1build1), libwww-perl (5.834-1), gvfs-backends (1.6.1-0ubuntu1build1), xfonts-mathml (4ubuntu1), libgnome-desktop-2-17 (2.30.2-0ubuntu1), fuse-utils (2.8.1-1.1ubuntu2), ttf-unfonts-core (1.0.1-7ubuntu1), python-desktopcouch (0.6.4-0ubuntu3), info (4.13a.dfsg.1-5ubuntu1), gwibber (2.30.1-0ubuntu1), libvisual-0.4-0 (0.4.0-2.1+ubuntu2), libgsl0ldbl (1.13+dfsg-1), python-apport (1.13.3-0ubuntu2), python-papyon (0.4.8-0ubuntu1), libexif12 (0.6.19-1), python-xkit (0.4.2.2), libisc60 (9.7.0.dfsg.P1-1), esound-clients (0.2.41-6ubuntu1), erlang-runtime-tools (13.b.3-dfsg-2ubuntu2), dbus-x11 (1.2.16-2ubuntu4), libvorbis0a (1.2.3-3ubuntu1), libnice0 (0.0.10-2build1), compiz-core (0.8.4-0ubuntu15), totem (2.30.2-0ubuntu1), bogofilter-common (1.2.1-0ubuntu1), gnome-accessibility-themes (2.30.0-0ubuntu1), binfmt-support (1.2.18), openoffice.org-calc (3.2.0-7ubuntu4.1), liblouis-data (1.7.0-2), libnautilus-extension1 (2.30.1-0ubuntu1.1), python-cupshelpers (1.2.0+20100408-0ubuntu5.2), evolution-data-server-common (2.28.3.1-0ubuntu5), libxp6 (1.0.0.xsf1-2build1), compiz-fusion-plugins-main (0.8.4-0ubuntu3), libgnome-vfs2.0-cil (2.24.1-6ubuntu1), libxcursor1 (1.1.10-1), libavahi-common3 (0.6.25-1ubuntu6), python-ibus (1.2.0.20091215-1ubuntu4), openoffice.org-help-en-us (3.2.0-7ubuntu1), binutils (2.20.1-3ubuntu6), gnome-applets-data (2.30.0-0ubuntu2), libgraphviz4 (2.20.2-8ubuntu3), libdjvulibre-text (3.5.22-1ubuntu4), min12xxw (0.0.9-3ubuntu2), gstreamer0.10-plugins-base (0.10.28-1), libhtml-tagset-perl (3.20-2), desktop-file-utils (0.16-0ubuntu2), libxinerama1 (1.1-2), libwebkit-1.0-common (1.2.0-1), libvte-common (0.23.5-0ubuntu1.1), apport-gtk (1.13.3-0ubuntu2), libavahi-ui0 (0.6.25-1ubuntu6), libgstreamer-plugins-base0.10-0 (0.10.28-1), transmission-common (1.93-0ubuntu0.10.04.1), gnome-session (2.30.0-0ubuntu1), mscompress (0.3-3build1), defoma (0.11.10-4ubuntu1), libprotoc5 (2.2.0a-0.1ubuntu1), gdm-guest-session (0.15), gstreamer0.10-gnonlin (0.10.15-1), iptables (1.4.4-2ubuntu2), libxrandr2 (1.3.0-3), nvidia-96-modaliases (96.43.17-0ubuntu1), libnss3-1d (3.12.6-0ubuntu3), python-twisted-bin (10.0.0-2ubuntu2), gstreamer0.10-tools (0.10.28-1), libavahi-core6 (0.6.25-1ubuntu6), librsvg2-common (2.26.3-0ubuntu1), ntfs-3g (2010.3.6-1ubuntu1), python-gtk2 (2.17.0-0ubuntu2), xscreensaver-data (5.10-3ubuntu4), libgoocanvas3 (0.15-0ubuntu2), evolution-couchdb (0.4.5-0ubuntu1), x-ttcidfont-conf (32), libsndfile1 (1.0.21-2), libaspell15 (0.60.6-3ubuntu1), modemmanager (0.3-0ubuntu2), libgupnp-igd-1.0-2 (0.1.3-4ubuntu1), totem-mozilla (2.30.2-0ubuntu1), kerneloops-daemon (0.12+git20090217-1ubuntu7), python-cairo (1.8.8-1), libgtk2.0-0 (2.20.1-0ubuntu2), libmono-system2.0-cil (2.4.4~svn151842-1ubuntu4), python-httplib2 (0.6.0-1), pulseaudio-esound-compat (0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14), libgnome2-canvas-perl (1.002-2build1), libgtkhtml3.14-19 (3.29.6.is.3.28.3-0ubuntu2), libgsf-1-114 (1.14.16-1ubuntu1), example-content (41), libpolkit-agent-1-0 (0.96-2), gsfonts (8.11+urwcyr1.0.7~pre44-4), file-roller (2.30.1.1-0ubuntu2), libgdiplus (2.4.2-1build1), libopenobex1 (1.5-2build1), libspeexdsp1 (1.2~rc1-1ubuntu1), compiz-gnome (0.8.4-0ubuntu15), libneon27-gnutls (0.29.0-1), nautilus-sendto (2.28.4-0ubuntu1), libpaper1 (1.1.23+nmu1build1), transmission-gtk (1.93-0ubuntu0.10.04.1), libltdl7 (2.2.6b-2ubuntu1), libvisual-0.4-plugins (0.4.0.dfsg.1-2ubuntu5), python-rdflib (2.4.2-1), gnome-panel-data (2.30.2-0ubuntu0.2), libgdata-common (0.5.2-0ubuntu1), empathy-common (2.30.2-0ubuntu1), ssh-askpass-gnome (5.3p1-3ubuntu4), libpoppler-glib4 (0.12.4-0ubuntu5), libpisync1 (0.12.4-7ubuntu1), hplip-data (3.10.2-2ubuntu2), erlang-base (13.b.3-dfsg-2ubuntu2), python-gobject (2.21.1-0ubuntu3), lftp (4.0.2-1), erlang-public-key (13.b.3-dfsg-2ubuntu2), libgnomevfs2-common (2.24.2-1ubuntu2), libdotconf1.0 (1.0.13-3), ghostscript-cups (8.71.dfsg.1-0ubuntu5.2), libogg0 (1.1.4~dfsg-2), libmetacity-private0 (2.30.1-0ubuntu1), libntfs-3g75 (2010.3.6-1ubuntu1), gnomine (2.30.0-0ubuntu6), consolekit (0.4.1-3ubuntu1), python-indicate (0.3.0-0ubuntu1)
grep: /var/log/apt/term.log: Permission denied
grep: /var/log/gdm: Permission denied
/var/log/dpkg.log:2010-09-14 12:34:04 install gnome-panel-data <none> 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 12:34:04 status half-installed gnome-panel-data 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 12:34:06 status unpacked gnome-panel-data 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 12:34:07 status unpacked gnome-panel-data 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 12:35:20 install gnome-panel <none> 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 12:35:20 status half-installed gnome-panel 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 12:35:21 status unpacked gnome-panel 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 12:35:21 status unpacked gnome-panel 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 13:05:02 configure gnome-panel-data 1:2.30.2-0ubuntu0.2 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 13:05:02 status unpacked gnome-panel-data 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 13:05:02 status unpacked gnome-panel-data 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 13:05:02 status half-configured gnome-panel-data 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 13:05:09 status installed gnome-panel-data 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 13:18:00 configure gnome-panel 1:2.30.2-0ubuntu0.2 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 13:18:00 status unpacked gnome-panel 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 13:18:00 status unpacked gnome-panel 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 13:18:00 status half-configured gnome-panel 1:2.30.2-0ubuntu0.2
/var/log/dpkg.log:2010-09-14 13:18:00 status installed gnome-panel 1:2.30.2-0ubuntu0.2
grep: /var/log/installer/syslog: Permission denied
grep: /var/log/installer/cdebconf/questions.dat: Permission denied
grep: /var/log/installer/cdebconf/templates.dat: Permission denied
grep: /var/log/installer/partman: Permission denied
john@fanshop:~$


Regards
John

ps Good Heavens...I've just previewed it, and seen what it does. Yet another useful bit of knowledge.
It's like doing jigsaw puzzles in the dark.
Аватара пользователя
greybeard
Новичок
 
Сообщения: 13
Зарегистрирован: 02 сен 2010, 23:34
Репутация: 0

След.

Вернуться в English forum

Кто сейчас на конференции

Зарегистрированные пользователи: Argon-11, ArtK, Bing [Bot], Сергей Саныч, cncmybox, daemon78, Dimka_almighty, Ershoff, evgenbaraba, evgenymcp, FL@gMan, frezeryga, Google [Bot], Google Feedfetcher, ilya37rus, inFamous, karavan, Lafayette, Lunatic, Mamont, mikehv, MX_Master, N1X, NikolayUa24, Nonstopich, Plusik, Raben, Redmn, Rom327, sazn86, smoke, Something, spryt, SVP, uralpt, VAT, vershininv, vladumur, Yandex [bot], Zobakka, Курдль, Леонид Владимирович

Поделиться

Reputation System ©'